Tag: build.gradle

Advertencia de Android Studio minSdkVersion y targetSdkVersion

En un proyecto de Android que tengo, tengo esta sección en el archivo build.gradle: android { compileSdkVersion 19 buildToolsVersion "19.0.3" defaultConfig { minSdkVersion 16 targetSdkVersion 19; } } En las propiedades 'minSdkVersion' y 'targetSdkVersion', hay las advertencias: 'minSdkVersion' cannot be applied to '(java.lang.Integer)' 'targetSdkVersion' cannot be applied to '(java.lang.Integer)` ¿Es esto un error, o algo […]

Opciones de envasado basadas en el sabor del producto en gradle

Estoy usando opciones de empaquetado para excluir algunas libs. ¿Es posible tener opciones de envasado basadas en el sabor del producto. Por ejemplo – android { productFlavors { flavorDimensions 'models' S2 { flavorDimension 'models' minSdkVersion 22 …. } S6 { flavorDimension 'models' minsdkversion 22 …. } } packagingOptions { exclude 'lib/armeabi/libs2.so' exclude 'lib/arm64-v8a/libs6.so } } […]

Permitir que inestable Android Gradle construye en Jenkins

Hola He configurado mi proyecto de Android en Jenkins para proporcionar CI. Su funcionamiento bien, funcionando pruebas en un teléfono androide conectado. Las pruebas se ejecutan en Android Test Framework, que amplía jUnit3. Desafortunadamente, la compilación está marcada como un error si hay algún fallo de prueba. Me gustaría poder mejorar esto de dos maneras: […]

Problema de generación de Gradle 3.0.0-beta1

Acabo de actualizar la versión gradle a classpath 'com.android.tools.build:gradle:3.0.0-beta1' Después de actualizar android studio a 3.0-beta1, y mi gradle-wrapper es: distributionUrl=https\://services.gradle.org/distributions/gradle-4.1-rc-1-all.zip El problema es que estoy enfrentando este extraño problema cuando quiero Gradle-sincronizar el proyecto: Error:Cause: java.lang.NullPointerException at sun.nio.fs.UnixPath.normalizeAndCheck(UnixPath.java:77) at sun.nio.fs.UnixPath.<init>(UnixPath.java:71) at sun.nio.fs.UnixFileSystem.getPath(UnixFileSystem.java:281) at java.nio.file.Paths.get(Paths.java:84) at com.android.build.gradle.internal.scope.BuildOutput.getOutputPath(BuildOutput.java:222) at com.android.build.gradle.internal.scope.BuildOutputs.lambda$load$2(BuildOutputs.java:243) at java.util.stream.ReferencePipeline$3$1.accept(ReferencePipeline.java:193) at java.util.ArrayList$ArrayListSpliterator.forEachRemaining(ArrayList.java:1376) at java.util.stream.AbstractPipeline.copyInto(AbstractPipeline.java:481) […]

Problemas incluyendo Apache HttpComponents en el proyecto de Android Gradle

Intento incluir httpmime en mi uso usando el archivo de build.gradle, y todo compila bien. En su lugar, cuando la aplicación intenta utilizar realmente la clase MultipartEntityBuilder, hay un montón de mensajes de nivel WARN en el registro diciendo que hay problemas. Aquí está el extracto de mi build.gradle para la dependencia: Compile ('org.apache.httpcomponents: httpmime: […]

Dependencia de ViewPagerIndicator con Gradle y Android Studio

Acabo de cambiar de Eclipse a Android Studio, y estoy teniendo algunos problemas con un proyecto mío que utiliza ViewPagerIndicator Este es el código Gradle: repositories { mavenCentral() } dependencies { compile 'com.viewpagerindicator:library:2.4.1' compile 'com.android.support:support-v4:19.0.+' compile 'com.android.support:appcompat-v7:19.0.+' } Cuando intento crear el proyecto, Android Studio me devuelve este error: LoadViewPagerTask.java Error:Error:line (30)error: package com.viewpagerindicator does […]

Java.lang.NoClassDefFoundError: android.support.v4.view.LayoutInflaterCompatHC en Android Studio

Soy nuevo en android studio estoy haciendo una aplicación de ejemplo en el estudio de android, cuando ejecuto la aplicación 5.0 que funciona bien, pero 5,0 por debajo de su tiro es este Execption puede cualquier tel lo que estoy mal aquí … 08-25 18:17:40.354 28953-28953/com.app E/AndroidRuntime﹕ FATAL EXCEPTION: main java.lang.NoClassDefFoundError: android.support.v4.view.LayoutInflaterCompatHC at android.support.v4.view.LayoutInflaterCompat$LayoutInflaterCompatImplV11.setFactory(LayoutInflaterCompat.java:42) at […]

Error: No se pueden cambiar las dependencias de configuración ': app: _debugAnnotationProcessor' una vez que se ha resuelto

No se pudo actualizar el proyecto Gradle Después de agregar KenBurnsView Library a build.gradle en el nivel de la aplicación. Cuando intento sincronizar el gradle falló. Build.gradle (nivel de la aplicación) apply plugin: 'com.android.application' android { compileSdkVersion 25 buildToolsVersion "25.0.0" defaultConfig { applicationId "com.sample.ac" minSdkVersion 16 targetSdkVersion 24 versionCode 1 versionName "1.0_dev" testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" jackOptions […]

Cambiar la estructura del archivo de proyecto después de migrar de Eclipse a Android Studio gradle structure

He migrado un proyecto de Eclipse. El proyecto todavía tiene la estructura de archivo de proyecto "antigua" de eclipse (consulte http://developer.android.com/tools/projects/index.html ). ¿Hay una manera de cambiar automáticamente el structtrue del archivo al nuevo sistema (véase http://tools.android.com/tech-docs/new-build-system/user-guide#TOC-Project-Structure )? Si entiendo http://developer.android.com/sdk/installing/studio-tips.html estructura del proyecto correctamente, esto debería haber ocurrido al migrar pero no lo hizo […]

Error al compilar AIDL

Estoy intentando compilar .aidl y generar .java pero: Error:Execution failed for task ':library:compileReleaseAidl'. > java.lang.RuntimeException: com.android.ide.common.process.ProcessException: Error while executing 'C:\Users\Michele\AppData\Local\Android\sdk\build-tools\25.0.0\aidl.exe' with arguments {-pC:\Users\Michele\AppData\Local\Android\sdk\platforms\android-25\framework.aidl -oC:\Users\Michele\workspace\AndroidLib\library\build\generated\source\aidl\release -IC:\Users\Michele\workspace\AndroidLib\library\src -IC:\Users\Michele\workspace\AndroidLib\library\src\release\aidl -IC:\Users\Michele\workspace\AndroidLib\library\build\intermediates\exploded-aar\com.android.support\appcompat-v7\25.0.1\aidl -IC:\Users\Michele\workspace\AndroidLib\library\build\intermediates\exploded-aar\com.android.support\support-v4\25.0.1\aidl -IC:\Users\Michele\workspace\AndroidLib\library\build\intermediates\exploded-aar\com.android.support\support-fragment\25.0.1\aidl -IC:\Users\Michele\workspace\AndroidLib\library\build\intermediates\exploded-aar\com.android.support\support-media-compat\25.0.1\aidl -IC:\Users\Michele\workspace\AndroidLib\library\build\intermediates\exploded-aar\com.android.support\support-core-ui\25.0.1\aidl -IC:\Users\Michele\workspace\AndroidLib\library\build\intermediates\exploded-aar\com.android.support\support-core-utils\25.0.1\aidl -IC:\Users\Michele\workspace\AndroidLib\library\build\intermediates\exploded-aar\com.android.support\animated-vector-drawable\25.0.1\aidl -IC:\Users\Michele\workspace\AndroidLib\library\build\intermediates\exploded-aar\com.android.support\support-vector-drawable\25.0.1\aidl -IC:\Users\Michele\workspace\AndroidLib\library\build\intermediates\exploded-aar\com.android.support\support-compat\25.0.1\aidl -dC:\Users\Michele\AppData\Local\Temp\aidl3070615992051288022.d C:\Users\Michele\workspace\AndroidLib\library\src\IRemoteShortcutService.aidl} Yo uso este build.gradle apply plugin: 'com.android.library' apply plugin: 'com.github.dcendents.android-maven' group='com.github.michelelacorte' android { compileSdkVersion 25 buildToolsVersion '25.0.0' defaultConfig […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.